[QtMoko] Building QtMoko failed

Radek Polak psonek2 at seznam.cz
Wed Jan 13 23:46:12 CET 2010

Yann SLADEK wrote:

> Hi there,
> I wanted to start the french translation of QtMoko and wanted to build
> it, so I followed instructions here : http://qtmoko.org/wiki/Translations
> The configure step was fine but when I start make, I got the following
>     *** Error
> I googled this but no clue

Hi Yann,
it can be problem that qt submodule is not in correct version. I had similar 
problem at work. You should check qt version if it matches the one in:


You can do it by
cd qtmoko/qtopiacore/qt
git log

the last commit should match the one on web 
(a2eb181371609220d111db555da07ab32627ffca). If not you should somehow make it 
match (e.g. clone above git, checkout qtmoko-v17 branch and replace 
qtopiacore/qt with it).

Or if it still does not work please let me know.



More information about the community mailing list